> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lock quote



## OpenAPI

````yaml /openapi.json post /exchange/quote/{id}/lock
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /exchange/quote/{id}/lock:
    post:
      tags:
        - Swaps
      summary: Lock quote
      operationId: Exchange.Web.SwapController.lock_quote
      parameters:
        - description: Quote ID
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteResponse'
          description: Quote
        '404':
          $ref: '#/components/responses/not_found'
      callbacks: {}
components:
  schemas:
    QuoteResponse:
      description: Response schema for a quote
      properties:
        data:
          $ref: '#/components/schemas/Quote'
      title: QuoteResponse
      type: object
    Quote:
      description: Quote
      example:
        id: 2f939fe5-fb7b-4234-8b73-761a848d13af
        locked: false
        rate: 1500
        symbol: USD-NGN
        time_to_convert: 10
        time_to_lock: 30
        type: buy
      properties:
        id:
          description: Quote Id
          type: string
        locked:
          description: Quote lock status
          type: boolean
        rate:
          description: Quote price
          type: string
        symbol:
          description: Currency pair
          type: string
        time_to_convert:
          description: How long this rate will last before conversion, in seconds
          type: integer
        time_to_lock:
          description: How long this rate will last before locking, in seconds
          type: integer
        type:
          description: Quote type
          enum:
            - sell
            - buy
          type: string
      title: Quote
      type: object
  responses:
    not_found:
      content:
        application/json:
          schema:
            type: string
      description: Not Found

````